echo "__Test Begins"
date
echo "__Initial 10secs Begins"
sleep 10

#ran_num=$(shuf -i 3600-3600 -n1)
#echo "__After RTC Time Sync Sleep Duration is $ran_num"
#sleep $ran_num

echo "__Payload Server Power ON Test Begins"
{ sleep 2; echo 4 1 211 12 1; sleep 10; echo 4 17;} | ./mfcc_sample_app
echo "__Payload Server Power ON Test Ends"

echo "__edge board power on test begins"
{ sleep 2; echo 4 1 211 9 1; sleep 10; echo 4 17;} | ./mfcc_sample_app
echo "__edge board power on test ends"

#echo "__Scheduler trigger Begins"
#{ sleep 2; echo 1 550; sleep 5; echo 1 548 0; sleep 10; echo 1 549 0 1; sleep 10; echo 15;} | ./mfcc_sample_app
#echo "__Scheudler trigger Ends"


i=1;

while true
do
    date
    echo "__All Sequence Read Iteration count: $i"
    { sleep 5; echo 4 1 535; sleep 5; echo 4 1 533; sleep 5; echo 4 1 525; sleep 5; 
      sleep 5; echo 4 1 201 1; sleep 5; echo 4 1 203 1; sleep 5; echo 4 1 206 0; sleep 5; echo 4 1 206 1; sleep 5; echo 4 1 209; 
      sleep 5; echo 4 1 500; sleep 5; echo 4 1 501; sleep 5; echo 4 1 583;  
      sleep 5; echo 4 17;} | ./mfcc_sample_app
    ran_num=$(shuf -i 60-60 -n1)
    echo "__After all sequence read iteration $i Sleep Duration is $ran_num"
    sleep $ran_num
    i=$((i+1))
done

